"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.get = get;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var axiosInstance;

function getInstance() {
  if (!axiosInstance) {
    axiosInstance = _axios.default.create();
  }

  return axiosInstance;
}

function get(url) {
  return getInstance().get(url).then(function (response) {
    return response.data;
  });
}