"use strict";

module.exports = {
  FRAMEWORK_MESSAGE_INIT_DEBUG: 'FRAMEWORK_MESSAGE_INIT_DEBUG',
  FRAMEWORK_MESSAGE_DEBUG: 'FRAMEWORK_MESSAGE_DEBUG',
  FRAMEWORK_MESSAGE_CHANGE_URL: 'FRAMEWORK_MESSAGE_CHANGE_URL',
  FRAMEWORK_MESSAGE_PAGE_CELL_WAS_SELECTED: 'FRAMEWORK_MESSAGE_PAGE_CELL_WAS_SELECTED',
  FRAMEWORK_MESSAGE_CONTEXT_MENU_CLICKED: 'FRAMEWORK_MESSAGE_CONTEXT_MENU_CLICKED',
  FRAMEWORK_MESSAGE_COMPONENT_ITEM_WAS_DROPPED: 'FRAMEWORK_MESSAGE_COMPONENT_ITEM_WAS_DROPPED',
  FRAMEWORK_MESSAGE_COMPONENT_EVENT: 'FRAMEWORK_MESSAGE_COMPONENT_EVENT',
  FRAMEWORK_MESSAGE_UNDO: 'FRAMEWORK_MESSAGE_UNDO',
  FRAMEWORK_MESSAGE_COPY: 'FRAMEWORK_MESSAGE_COPY',
  FRAMEWORK_MESSAGE_PASTE: 'FRAMEWORK_MESSAGE_PASTE',
  FRAMEWORK_MESSAGE_CUT: 'FRAMEWORK_MESSAGE_CUT',
  FRAMEWORK_MESSAGE_SAVE: 'FRAMEWORK_MESSAGE_SAVE',
  FRAMEWORK_MESSAGE_RELOAD: 'FRAMEWORK_MESSAGE_RELOAD',
  FRAMEWORK_MESSAGE_DELETE: 'FRAMEWORK_MESSAGE_DELETE',
  FRAMEWORK_MESSAGE_DEMO_FILES_SAVED: 'FRAMEWORK_MESSAGE_DEMO_FILES_SAVED',
  FRAMEWORK_MESSAGE_DECLARATIONS_WITH_ETC: 'FRAMEWORK_MESSAGE_DECLARATIONS_WITH_ETC',
  FRAMEWORK_MESSAGE_DECLARATIONS: 'FRAMEWORK_MESSAGE_DECLARATIONS',
  WEBCODESK_MESSAGE_START_LISTENING_TO_FRAMEWORK: 'WEBCODESK_MESSAGE_START_LISTENING_TO_FRAMEWORK',
  WEBCODESK_MESSAGE_STOP_LISTENING_TO_FRAMEWORK: 'WEBCODESK_MESSAGE_STOP_LISTENING_TO_FRAMEWORK',
  WEBCODESK_MESSAGE_COMPONENT_RESOURCE_INDEX: 'WEBCODESK_MESSAGE_COMPONENT_RESOURCE_INDEX',
  WEBCODESK_MESSAGE_COMPONENT_STORY_RESOURCE_INDEX: 'WEBCODESK_MESSAGE_COMPONENT_STORY_RESOURCE_INDEX',
  WEBCODESK_MESSAGE_UPDATE_PAGE_COMPONENTS_TREE: 'WEBCODESK_MESSAGE_UPDATE_PAGE_COMPONENTS_TREE',
  WEBCODESK_MESSAGE_DELETE_PAGE_COMPONENT: 'WEBCODESK_MESSAGE_DELETE_PAGE_COMPONENT',
  WEBCODESK_MESSAGE_COMPONENT_ITEM_DRAG_START: 'WEBCODESK_MESSAGE_COMPONENT_ITEM_DRAG_START',
  WEBCODESK_MESSAGE_COMPONENT_ITEM_DRAG_END: 'WEBCODESK_MESSAGE_COMPONENT_ITEM_DRAG_END',
  WEBCODESK_MESSAGE_COMPONENT_ITEM_DRAG_MOVE: 'WEBCODESK_MESSAGE_COMPONENT_ITEM_DRAG_MOVE',
  WEBCODESK_MESSAGE_SAVE_DEMO_FILES: 'WEBCODESK_MESSAGE_SAVE_DEMO_FILES',
  WEBCODESK_MESSAGE_GET_DECLARATIONS_WITH_ETC: 'WEBCODESK_MESSAGE_GET_DECLARATIONS_WITH_ETC',
  WEBCODESK_MESSAGE_GET_DECLARATIONS: 'WEBCODESK_MESSAGE_GET_DECLARATIONS',
  COMPONENT_PROPERTY_FUNCTION_TYPE: 'COMPONENT_PROPERTY_FUNCTION_TYPE',
  COMPONENT_PROPERTY_OBJECT_TYPE: 'COMPONENT_PROPERTY_OBJECT_TYPE',
  COMPONENT_PROPERTY_ELEMENT_TYPE: 'COMPONENT_PROPERTY_ELEMENT_TYPE',
  COMPONENT_PROPERTY_ANY_TYPE: 'COMPONENT_PROPERTY_ANY_TYPE',
  COMPONENT_PROPERTY_ARRAY_TYPE: 'COMPONENT_PROPERTY_ARRAY_TYPE',
  COMPONENT_PROPERTY_BOOL_TYPE: 'COMPONENT_PROPERTY_BOOL_TYPE',
  COMPONENT_PROPERTY_NUMBER_TYPE: 'COMPONENT_PROPERTY_NUMBER_TYPE',
  COMPONENT_PROPERTY_STRING_TYPE: 'COMPONENT_PROPERTY_STRING_TYPE',
  COMPONENT_PROPERTY_SYMBOL_TYPE: 'COMPONENT_PROPERTY_SYMBOL_TYPE',
  COMPONENT_PROPERTY_SHAPE_TYPE: 'COMPONENT_PROPERTY_SHAPE_TYPE',
  COMPONENT_PROPERTY_ARRAY_OF_TYPE: 'COMPONENT_PROPERTY_ARRAY_OF_TYPE',
  COMPONENT_PROPERTY_ONE_OF_TYPE: 'COMPONENT_PROPERTY_ONE_OF_TYPE',
  PAGE_COMPONENT_TYPE: 'PAGE_COMPONENT_TYPE',
  PAGE_NODE_TYPE: 'PAGE_NODE_TYPE',
  // do not change these values - they are used in webcodesk debugger
  DEBUG_MSG_APPLICATION_START_EVENT: 'onApplicationStart',
  DEBUG_MSG_COMPONENT_FIRE_EVENT: 'fireComponentEvent',
  DEBUG_MSG_FUNCTION_FIRE_EVENT: 'fireFunctionEvent',
  DEBUG_MSG_FUNCTION_CALL_EVENT: 'callFunction',
  DEBUG_MSG_REDUCE_DATA_EVENT: 'reduceData',
  DEBUG_MSG_NEW_PROPS_EVENT: 'receiveNewProps',
  DEBUG_MSG_CREATE_CONTAINER_EVENT: 'createContainer',
  COMPONENT_PROPERTY_DO_NOT_USE_IN_FLOWS_NAME: 'doNotUseInFlows'
};